Subject: [bug#73765] Request for merging "meson-enable-parallel-tests" branch

From: John Kehayias <[email-masked]>
Date: Thu, 28 Nov 2024 15:37:36 +0000

On Thu, Nov 28, 2024 at 09:51 AM, Andreas Enge wrote:

> Am Thu, Nov 28, 2024 at 04:46:07PM +0900 schrieb Maxim Cournoyer:
>> I had set up the build job on CI for x86-64 only in my original
>> configuration and had forgotten about it -- it's only been enabled for
>> other archs recently.
>
> Me too - it had been built out for x86_64, and I had forgotten about i686.
> For aarch64, I think we do not have the build power at ci to wait for it,
> and QA is unfortunately almost not working right now.
>

I see. Yeah, it takes a long time even when things are not backed up,
to build for non-x86. Usually Bordeaux gets the best coverage there.
Probably we need to be able to manage jobs on Bordeaux more directly
to clear out outdated evaluations when we are working on big branches.

>> > PS: Andreas I saw some messages earlier in this thread that again didn't
>> > go to others. Annoyingly, the debbugs bug number address doesn't go to
>> > anyone (that I know of) and I've frequently missed or miss-sent messages
>> > because of that. Just thought I'd let you know in case you missed
>> > that.
>> That's an annoyance of Debbugs yes.  I wish it'd handle CCing all
>> participants itself when any message reaches a bug they are
>> participating in.
>
> Is this true? I think I usually get messages directed at bugs I have opened
> or participated in. Or is it just when people cc me explicitly? So are you
> saying that when sending mail to a bug, one should manually add all
> participants in cc? This would be a lot of work - since issues.guix.gnu.org
> does not show email addresses, one would need to download the raw message,
> or look at debbugs.gnu.org and type the addresses by hand.
>
> Andreas

Indeed, it is a real issue. I responded with some more detail in our
other thread but I'll reiterate here we should make sure this is
in/very clear in the manual. This seems like a good assumption
(bugnumber is an email list) and it really should be as who knows how
many messages were "lost". Browsing debbugs on Emacs helps me see
these, and after I got bit by this on both ends I try to remember to
check there or the mumi frontend for all messages.

(Perhaps this is a very real practical reason to have alternatives to
debbugs, though mumi should be in a good position without drastic
changes on our end already.)

John